/*

  WizTest
  WizTemp test program
  Copyright (C) 1992 by Network Wizards

*/

#include <stdio.h>
#include <sys/types.h>
#include <time.h>
#include <ctype.h>
#include "wiztemp.h"

#define DEBUG       FALSE

char wiz_port[SSIZE];            /* name of tty/port */


main(argc,argv)
  int argc;
  char *argv[];
{
  float dk, dc, df;
  time_t now;
   
  strcpy(wiz_port,WIZ_PORT);
  parse_args(argc,argv);
  init_port(wiz_port);

  for (;;)
  {
    now = time(NULL);
    dk = get_temp();
    if (dk == -1)         /* error? */
    { 
      fprintf(stderr,"%%Problem with WizTemp -- check it.\n");
      continue; 
    }

    dc = dk - ABSZ;
    df = (9.0 * dc) / 5.0 + 32;

    printf("%.19s: %5.1fC %5.1fF\n",ctime(&now),dc,df);
    sleep(1);
  }
foo:
  close_port();
  exit(1);
}


parse_args(argc,argv)
  int argc;
  char *argv[];
{
  int i;

  for (i = 1; i < argc; i++)
  {
    if (*argv[i] != '-')
      usage();
    switch (*(argv[i]+1))
    {
      case 'p':
        if (++i >= argc)
	  usage();
        strcpy(wiz_port,argv[i]);
	break;
      default:
        usage();
    }
  }
}

usage()
{
  printf("WizTest -- WizTemp test program\n\n");
  printf("-p port/tty       device WizTemp is on (/dev/ttyx, COM1)\n");
  exit(0);
}
